@media(max-width:767px){
  .h-xs-40px {
    height: 40px !important;
  }
  body {
    margin-bottom: 80px !important;
  }
  .footer {
    height: 80px !important;
  }
}

.center {
  margin: 0 auto;
}
a:hover, a:focus { text-decoration: none !important;}

.m-15px {
  margin:15px;
}

.h-80px {
  height: 80px;
}
.mt-10px {
  margin-top: 10px;
}
.mb-10px {
  margin-bottom: 10px;
}
.w-35per {
  width: 35%;
}
.w-15per {
  width: 15%;
}

html {
  position: relative;
  min-height: 100%;
}
body {
  /* Margin bottom by footer height */
  margin-bottom: 80px !important;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 80px;
}

#status {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 67%;
    font-family: sans-serif;
    font-weight: lighter;
    font-size: 15px;
    list-style: none;
    overflow: auto;
    overflow-x: hidden;
}

#status li {
    box-sizing: border-box;
    padding: 10px 50px 10px 15px;
    display: block;
    width: 100%;
    min-height: 40px;
    color: #000000;
    line-height: 20px;
    text-decoration: none;
    border-bottom: solid 1px #ccc;
}

#status.progressing li:last-child {
    background-image: url(progress.gif);
    background-size: 20px 20px;
    background-repeat: no-repeat;
    background-position: right 15px center;
}

#status.done li:last-child {
    font-weight: bold;
}

#status.error li:last-child {
    font-weight: bold;
    color: red;
}

@media (max-width: 767px) {
    .btn-xs-block {
        display: block;
        width: 100%;
    }
    a.btn-xs-block,
    a.btn-xs-block,
    a.btn-xs-block {
        width: 100%;
    }
    .btn-block+.btn-xs-block,
    .btn-xs-block+.btn-block,
    .btn-xs-block+.btn-xs-block {
        margin-top: 0.5rem;
    }
    /* #map_form input {
        width: 90%;
        margin: auto;
    } */
}

.user_profile {
    margin: 10px !important;
}

.align {
    margin-top: 15px !important;
}

.well {
    padding: 5px !important;
}

@media (min-width: 767px) {
    /* #login_form input {
        width: 30%;
        margin: auto;
    } */
}

#login_reg {
    text-align: center;
}

.float-none {
    float: none !important;
}

.padding-left {
    padding-left: 30px !important;
}

.site_logo {
    display: block;
    margin: 15px auto;
    text-align: center;
}


.modal {
  text-align: center;
  padding: 0!important;
}

.modal:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

.margin-top-bottom-10per{
    margin-top: 10%;
    margin-bottom: 10%;
}

.margin-top-bottom-15px{
    margin-top: 15px;
    margin-bottom: 15px;
}

/* Hide HTML5 Up and Down arrows. */
input[type="number"]::-webkit-outer-spin-button, input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}
